local windows1250_utf8_map =
{
	[0x80] = "\xe2\x82\xac", // "€"
	[0x82] = "\xe2\x80\x9a", // "‚"
	[0x84] = "\xe2\x80\x9e", // "„"
	[0x85] = "\xe2\x80\xa6", // "…"
	[0x86] = "\xe2\x80\xa0", // "†"
	[0x87] = "\xe2\x80\xa1", // "‡"
	[0x89] = "\xe2\x80\xb0", // "‰"
	[0x8a] = "\xc5\xa0", // "Š"
	[0x8b] = "\xe2\x80\xb9", // "‹"
	[0x8c] = "\xc5\x9a", // "Ś"
	[0x8d] = "\xc5\xa4", // "Ť"
	[0x8e] = "\xc5\xbd", // "Ž"
	[0x8f] = "\xc5\xb9", // "Ź"

	[0x91] = "\xe2\x80\x98", // "‘"
	[0x92] = "\xe2\x80\x99", // "’"
	[0x93] = "\xe2\x80\x9c", // "“"
	[0x94] = "\xe2\x80\x9d", // "”"
	[0x95] = "\xe2\x80\xa2", // "•"
	[0x96] = "\xe2\x80\x93", // "–"
	[0x97] = "\xe2\x80\x94", // "—"
	[0x99] = "\xe2\x84\xa2", // "™"
	[0x9a] = "\xc5\xa1", // "š"
	[0x9b] = "\xe2\x80\xba", // "›"
	[0x9c] = "\xc5\x9b", // "ś"
	[0x9d] = "\xc5\xa5", // "ť"
	[0x9e] = "\xc5\xbe", // "ž"
	[0x9f] = "\xc5\xba", // "ź"

	[0xa0] = "\x20", // NBSP
	[0xa1] = "\xcb\x87", // "ˇ"
	[0xa2] = "\xcb\x98", // "˘"
	[0xa3] = "\xc5\x81", // "Ł"
	[0xa4] = "\xc2\xa4", // "¤"
	[0xa5] = "\xc4\x84", // "Ą"
	[0xa6] = "\xc2\xa6", // "¦"
	[0xa7] = "\xc2\xa7", // "§"
	[0xa8] = "\xc2\xa8", // "¨"
	[0xa9] = "\xc2\xa9", // "©"
	[0xaa] = "\xc5\x9e", // "Ş"
	[0xab] = "\xc2\xab", // "«"
	[0xac] = "\xc2\xac", // "¬"
	[0xad] = "\xc2\xad", // SHY
	[0xae] = "\xc2\xae", // "®"
	[0xaf] = "\xc5\xbb", // "Ż"

	[0xb0] = "\xc2\xb0", // "°"
	[0xb1] = "\xc2\xb1", // "±"
	[0xb2] = "\xcb\x9b", // "˛"
	[0xb3] = "\xc5\x82", // "ł"
	[0xb4] = "\xc2\xb4", // "´"
	[0xb5] = "\xc2\xb5", // "µ"
	[0xb6] = "\xc2\xb6", // "¶"
	[0xb7] = "\xc2\xb7", // "·"
	[0xb8] = "\xc2\xb8", // "¸"
	[0xb9] = "\xc4\x85", // "ą"
	[0xba] = "\xc5\x9f", // "ş"
	[0xbb] = "\xc2\xbb", // "»"
	[0xbc] = "\xc4\xbd", // "Ľ"
	[0xbd] = "\xcb\x9d", // "˝"
	[0xbe] = "\xc4\xbe", // "ľ"
	[0xbf] = "\xc5\xbc", // "ż"

	[0xc0] = "\xc5\x94", // "Ŕ"
	[0xc1] = "\xc3\x81", // "Á"
	[0xc2] = "\xc3\x82", // "Â"
	[0xc3] = "\xc4\x82", // "Ă"
	[0xc4] = "\xc3\x84", // "Ä"
	[0xc5] = "\xc4\xb9", // "Ĺ"
	[0xc6] = "\xc4\x86", // "Ć"
	[0xc7] = "\xc3\x87", // "Ç"
	[0xc8] = "\xc4\x8c", // "Č"
	[0xc9] = "\xc3\x89", // "É"
	[0xca] = "\xc4\x98", // "Ę"
	[0xcb] = "\xc3\x8b", // "Ë"
	[0xcc] = "\xc4\x9a", // "Ě"
	[0xcd] = "\xc3\x8d", // "Í"
	[0xce] = "\xc3\x8e", // "Î"
	[0xcf] = "\xc4\x8e", // "Ď"

	[0xd0] = "\xc4\x90", // "Đ"
	[0xd1] = "\xc5\x83", // "Ń"
	[0xd2] = "\xc5\x87", // "Ň"
	[0xd3] = "\xc3\x93", // "Ó"
	[0xd4] = "\xc3\x94", // "Ô"
	[0xd5] = "\xc5\x90", // "Ő"
	[0xd6] = "\xc3\x96", // "Ö"
	[0xd7] = "\xc3\x97", // "×"
	[0xd8] = "\xc5\x98", // "Ř"
	[0xd9] = "\xc5\xae", // "Ů"
	[0xda] = "\xc3\x9a", // "Ú"
	[0xdb] = "\xc5\xb0", // "Ű"
	[0xdc] = "\xc3\x9c", // "Ü"
	[0xdd] = "\xc3\x9d", // "Ý"
	[0xde] = "\xc5\xa2", // "Ţ"
	[0xdf] = "\xc3\x9f", // "ß"

	[0xe0] = "\xc5\x95", // "ŕ"
	[0xe1] = "\xc3\xa1", // "á"
	[0xe2] = "\xc3\xa2", // "â"
	[0xe3] = "\xc4\x83", // "ă"
	[0xe4] = "\xc3\xa4", // "ä"
	[0xe5] = "\xc4\xba", // "ĺ"
	[0xe6] = "\xc4\x87", // "ć"
	[0xe7] = "\xc3\xa7", // "ç"
	[0xe8] = "\xc4\x8d", // "č"
	[0xe9] = "\xc3\xa9", // "é"
	[0xea] = "\xc4\x99", // "ę"
	[0xeb] = "\xc3\xab", // "ë"
	[0xec] = "\xc4\x9b", // "ě"
	[0xed] = "\xc3\xad", // "í"
	[0xee] = "\xc3\xae", // "î"
	[0xef] = "\xc4\x8f", // "ď"

	[0xf0] = "\xc4\x91", // "đ"
	[0xf1] = "\xc5\x84", // "ń"
	[0xf2] = "\xc5\x88", // "ň"
	[0xf3] = "\xc3\xb3", // "ó"
	[0xf4] = "\xc3\xb4", // "ô"
	[0xf5] = "\xc5\x91", // "ő"
	[0xf6] = "\xc3\xb6", // "ö"
	[0xf7] = "\xc3\xb7", // "÷"
	[0xf8] = "\xc5\x99", // "ř"
	[0xf9] = "\xc5\xaf", // "ů"
	[0xfa] = "\xc3\xba", // "ú"
	[0xfb] = "\xc5\xb1", // "ű"
	[0xfc] = "\xc3\xbc", // "ü"
	[0xfd] = "\xc3\xbd", // "ý"
	[0xfe] = "\xc5\xa3", // "ţ"
	[0xff] = "\xcb\x99", // "˙"
}

function windows1250_to_utf8(text)
{
	local result = ""

	foreach (idx, charId in text)
	{
		charId += 256

		if (charId in windows1250_utf8_map)
			result += windows1250_utf8_map[charId]
		else
			result += text.slice(idx, idx + 1)
	}

	return result
}